//
//  Sound.m
//  TBone
//
//  Created by Ari Lazier on Wed May 28 2003.
//  Copyright (c) 2003 __MyCompanyName__. All rights reserved.
//

#import "Sound.h"
#import "waveio.h"

struct soundhdr hdr;

@implementation Sound

-(void) setDataSize:(int)time
				dataFormat:(int)type
				samplingRate:(int)srate
				channelCount:(int)chans
				infoSize:(int)isize;
{
	soundata = (short*) calloc(2, time);
	fillheader(&hdr, srate);
	hdr.dlength = time;
}

-(short *) getData;
{
	return soundata;
}

-(void) writeSoundfile:(char *)name;
{
	wavOut = opensoundout(name, &hdr);
	if(!wavOut) printf("Output File Problem!\n");
	else
	{
		fwrite(soundata, hdr.dlength, 2, wavOut);
		fclose(wavOut);
	}
	if(playme != NULL) [playme release];
	Nsname = [[NSString alloc] initWithCString:name];
	playme = [[NSSound alloc] initWithContentsOfFile:Nsname byReference:NO];
}

-(BOOL) play;
{
	[playme play];
	return YES;
}

@end
